# Generated by rust2rpm 24
%bcond_without check

%global crate helvum

Name:           rust-helvum
Version:        0.4.0
Release:        %autorelease
Summary:        GTK patchbay for pipewire

License:        GPL-3.0-only
URL:            https://crates.io/crates/helvum
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 23
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%global _description %{expand:
A GTK patchbay for pipewire.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
Requires:       hicolor-icon-theme
# Apache-2.0 OR MIT
# GPL-3.0-only
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-only AND MIT AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/helvum
%{_datadir}/applications/org.pipewire.Helvum.desktop
%{_datadir}/icons/hicolor/*/apps/org.pipewire.Helvum*.svg
%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# build cargo project directly with cargo
sed -i -e '/\(build_by_default\|install\)/s/true/false/' src/meson.build
sed -i -e '/dependency/d' meson.build
sed -i -e '/Cargo.lock/d' meson.build
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
%meson
%meson_build

%install
%cargo_install
%meson_install

%if %{with check}
%check
%cargo_test
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pipewire.Helvum.desktop
appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml
%endif

%changelog
%autochangelog
